<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Movies List</title>
    <!-- Include Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <style>
        body {
            padding: 20px;
        }
    </style>
</head>
<body>

<div class="container">
    <h2 class="my-4">Movies List</h2>
    <table class="table table-bordered table-striped">
        <thead>
            <tr>
                <th>Title</th>
                <th>Rating</th>
                <th>Year</th>
            </tr>
        </thead>
        <tbody id="moviesTableBody"></tbody>
    </table>
</div>

<!-- Include Bootstrap JS and Fetch API Polyfill for older browsers -->
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/fetch-polyfill@3.0.0/dist/polyfill.min.js"></script>

<script>
    // Fetch movies data from the Flask API
    fetch('https://lab3.oraclemasterclass.org/movies')
        .then(response => response.json())
        .then(data => {
            const moviesTableBody = document.getElementById('moviesTableBody');

            // Iterate through the movies and append rows to the table
            data.movies.forEach(movie => {
                const row = `<tr>
                                <td>${movie.title}</td>
                                <td>${movie.rating}</td>
                                <td>${movie.year}</td>
                             </tr>`;
                moviesTableBody.innerHTML += row;
            });
        })
        .catch(error => console.error('Error fetching movies:', error));
</script>

</body>
</html>


